Bug 1252995 - MacBook Pro 10,1 touchpad 2-finger click produces middle-click; no way to right-click
MacBook Pro 10,1 touchpad 2-finger click produces middle-click; no way to rig...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libinput (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 12:54 EDT by Brion Vibber
Modified: 2015-10-02 18:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-02 18:12:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (34.72 KB, text/plain)
2015-08-12 18:19 EDT, Brion Vibber
no flags Details
evemu recording of 'right-click' on macbook pro touchpad (43.35 KB, text/plain)
2015-08-12 18:23 EDT, Brion Vibber
no flags Details

  None (edit)
Description Brion Vibber 2015-08-12 12:54:44 EDT
Description of problem:

Two-finger and 3-finger click both produce middle-click behavior in Fedora 23 Alpha on a MacBook Pro 10,1 (15" Retina mid-2012). There is no apparent way to perform a right-click, which would be much more useful than a middle-click.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Fedora 23 on MacBook Pro 10,1 and log in
2. move mouse cursor over the desktop
3. perform two-finger click

Actual results:
Nothing visible happens (middle-click does nothing here)

Expected results:
Context menu should appear (expected right-click behavior)

Additional info:
Comment 1 Peter Hutterer 2015-08-12 18:00:24 EDT
please attach your xorg.log and an evemu recording. http://wayland.freedesktop.org/libinput/doc/latest/reporting_bugs.html has more info. that link is for libinput, not synaptics, but the info we need is pretty much the same.
Comment 2 Brion Vibber 2015-08-12 18:19:51 EDT
Created attachment 1062286 [details]
Xorg.0.log
Comment 3 Brion Vibber 2015-08-12 18:23:35 EDT
Created attachment 1062287 [details]
evemu recording of 'right-click' on macbook pro touchpad

evemu recording of a 'right-click' attempt (two fingers down, then thumb clicking, as expected from this machine under Mac OS X and Windows). Can provide also with fewer or more fingers down. :)
Comment 4 Brion Vibber 2015-08-12 18:25:11 EDT
Also let me know if I'm in the wrong component; not sure this is synaptics actually...
Comment 5 Brion Vibber 2015-08-13 19:23:38 EDT
After some more fiddling with the machine I stumbled accidentally on a click method that works and produces a right-click -- I have to click separately with two separate fingers very close together at very nearly the same time. It seems this is a much narrower definition of 'two-finger click' than Mac OS X accepts. :)

I wonder if it would be useful to have diagrams or videos showing how the click/tap gestures work in the touchpad settings dialog. I can get used to a different behavior, but need to be able to discover it.
Comment 6 Peter Hutterer 2015-08-18 03:52:37 EDT
ok, that makes it a lot easier to explain now :)

First: you're using libinput, not synaptics, which is the new driver. synaptics had a clickfinger distance of 30% of the touchpad diagonal, libinput has a slightly different behaviour. there are some explanatory diagrams here:
http://wayland.freedesktop.org/libinput/doc/latest/clickpad_softbuttons.html

the big difference in libinput is that it's using thumb detection to detect accidental clicks. when two fingers are on the touchpad, it checks if one of them is a thumb and discounts that. so you can move with one finger, click with the thumb and still get a left button click. for right-click you'll have to have two fingers close enough together (within a 40x30mm box). middle click should be triggered by any 3-finger combination though.

you'll need libinput 0.21 for that btw, the behaviour was a bit different in 0.20.
Comment 7 Brion Vibber 2015-10-02 18:12:52 EDT
I'm going to close this one out and reopen a more focused bug later; using the proper finger invocation everything works. Thanks for the help!

Note You need to log in before you can comment on or make changes to this bug.